W1RETAP(1)

NAME
w1retap - Data logger for 1-Wire weather sensors

SYNOPSIS

w1retap [OPTIONS]

DESCRIPTION

The w1retap package reads weather sensors on a 1-Wire bus and data logs the retrieved data to the configured databases or files. It supports a number of different 1-Wire host bus adapters and 1-Wire sensors designed by Dallas Semiconductor Corp (now Maxim Integrated) and compatible sensors including those from AAG Electrónica and other hobby sensors.

OPTIONS

-h, --help
    Show help options

-w, --wait
    At startup, wait until next interval

-1, --once-only
    Read once and exit

-R, --release-interface
    Release the 1Wire interface between reads

-d, --daemonise
    Daemonise (background) application

-T, --no-tmp-log
    Disables /var/lib/w1retap/.w1retap.dat logging

-l, --tmp-log-name=FILE
    Names logging file (/var/lib/w1retap/.w1retap.dat)

-i, --interface=DEVICE
    Interface device, the DEVICE can be serial DS2480 adaptor or a USB DS2490-1 adaptor. Use the serial device node (eg /dev/ttyS0 or /dev/ttyUSB0) for serial or use DS2490-1 to use libusb for a USB adaptor.

-t, --cycle-time=SECS
    Time (secs) between device readings

-N, --dont-read
    Don’t read sensors (for debugging)

-v, --verbose
    Verbose messages

-o, --vane-offset=VAL
    Value for N for weather vane (0-15)

-V, --version
    Display version number (and exit)

-s, --simulate
    Simulate readings (for testing, not yet implemented)

-u, --use-utc
    Store dates as UTC (vice localtime)

-r, --report-log=FILE
    Report log file

EXAMPLE

    • $ w1retap -l -i /dev/ttyUSBS0 -v

SIGNALS

The w1retap daemon accepts three signals. SIGUSR1 causes it to read all the sensors immediately. SIGUSR2 causes it to print the current configuration. SIGHUP causes it to re-read the configuration.

EXIT STATUS

0
    Returns 0 on success or failure

SEE ALSO

w1find(1), w1sensors(1)

RESOURCES

    • /usr/share/doc/w1retap-doc/w1retap.odt

    • http://www.zen35309.zen.co.uk/wx/tech.html

AUTHOR

This manual page was written by Thomas Stewart <thomas@stewarts.org.uk> for the Debian GNU/Linux system (but may be used by others). Permission is granted to modify and distribute this manpage under the terms of GNU General Public Licence version 2 or (at your opinion) any later version.